net.sf.cpsolver.studentsct.weights

## Enum StudentWeights.Implementation

- java.lang.Object
- - java.lang.Enum<StudentWeights.Implementation>
  - - net.sf.cpsolver.studentsct.weights.StudentWeights.Implementation

- All Implemented Interfaces:
    Serializable, Comparable<StudentWeights.Implementation>
  Enclosing interface:
    StudentWeights

      public static enum StudentWeights.Implementation
      extends Enum<StudentWeights.Implementation>

  Registered implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Equal`
    `Legacy`
    `Priority`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends StudentWeights>` | `getImplementation()`
    `static StudentWeights.Implementation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StudentWeights.Implementation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Priority

          public static final StudentWeights.Implementation Priority

    - #### Equal

          public static final StudentWeights.Implementation Equal

    - #### Legacy

          public static final StudentWeights.Implementation Legacy

  - ### Method Detail

    - #### values

          public static StudentWeights.Implementation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StudentWeights.Implementation c : StudentWeights.Implementation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StudentWeights.Implementation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getImplementation

          public Class<? extends StudentWeights> getImplementation()